---
date: 2021-09-27T16:34:12+02:00
description: "Correctif OpenBSD: sshd"
title: "Syspatch : sshd (27/09/2021)"
---

## Correctif de sécurité : sshd

sshd(8) n'arrive pas à enlever les groupes supplémentaires lors de l'exécution de commandes avec
AuthorizedUsersCommand ou AuthorizedPrincipalsCommand.

- Architectures ciblées : toutes les architectures supportées par le 
	projet OpenBSD.

---

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386.

```ksh
# syspatch
```

Ensuite [redémarrez](#restart) le service sshd.

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- pour 6.9

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/016_sshd.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 016_sshd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
```

- pour 6.8

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/030_sshd.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 030_sshd.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 


- la phase de recompilation :

```ksh
$ cd /usr/src/usr.bin/ssh
# make obj
# make
# make install
```

Ensuite [redémarrez](#restart) le service sshd.


## Restart

```ksh
# rcctl restart sshd
```

---

## Documentations 

- https://www.openssh.com/

Plus d'informations sur les pages d'Errata [6.9][1] et [6.8][2]…  
et leurs versions FR respectives : [6.9 FR][3] et [6.8 FR][4].

---

[1]: https://openbsd.org/errata69.html
[2]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68




